import request, { postBlob, getBlob, handleImport } from '@/utils/request'

// 获取师傅列表
export function memberListService2(data) {
  return request({
    url: `/member/list/service2?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function memberPageExport(data, name) {
  return postBlob({
    url: '/member/pageExport',
    data,
    name
  })
}

// 审核
export function memberAudit(params) {
  return request({
    url: '/member/share/examine',
    method: 'post',
    params
  })
}

// 获取详情
export function getMemberDetail(params) {
  return request({
    url: '/member/detail',
    method: 'get',
    params
  })
}

// 设置取消分销员
export function memberInner(data) {
  return request({
    url: '/member/batch/type',
    method: 'post',
    data
  })
}

// 设置取消内部分销员
export function memberInsideInner(params) {
  return request({
    url: '/member/batch/inner',
    method: 'post',
    params
  })
}

// 入驻网点
export function getWebsit(params) {
  return request({
    url: '/admin/websit/list',
    method: 'get',
    params
  })
}